Package Scientific :: Package BSP :: Module Console :: Class ParallelConsole

[frames] | no frames]

# Class ParallelConsole

    code.InteractiveInterpreter --+
                                  |
            code.InteractiveConsole --+
                                      |
                                     ParallelConsole

Instance Methods

__init__(self) Constructor. |

mainloop(self) |

push(self, line) Push a line to the interpreter. |

Inherited from `code.InteractiveConsole`: `interact`, `raw_input`, `resetbuffer` Inherited from `code.InteractiveInterpreter`: `runcode`, `runsource`, `showsyntaxerror`, `showtraceback`, `write`

Method Details

### __init__(self)
(Constructor)

Constructor.

The optional locals argument will be passed to the InteractiveInterpreter base class.

The optional filename argument should specify the (file)name of the input stream; it will show up in tracebacks.

Overrides: code.InteractiveInterpreter.__init__
  (inherited documentation)

### push(self, line)

Push a line to the interpreter.

The line should not have a trailing newline; it may have internal newlines. The line is appended to a buffer and the interpreter's runsource() method is called with the concatenated contents of the buffer as source. If this indicates that the command was executed or invalid, the buffer is reset; otherwise, the command is incomplete, and the buffer is left as it was after the line was appended. The return value is 1 if more input is required, 0 if the line was dealt with in some way (this is the same as runsource()).

Overrides: code.InteractiveConsole.push
  (inherited documentation)